Bug 1824280 - fix registry override issues with jenkins; leverage import by sha with disconnected
Summary: fix registry override issues with jenkins; leverage import by sha with discon...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Samples
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.z
Assignee: Gabe Montero
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On: 1822381
Blocks: 1826028
TreeView+ depends on / blocked
 
Reported: 2020-04-15 17:28 UTC by Gabe Montero
Modified: 2020-06-02 11:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: as part of providing disconnected support for sample in 4.2, samples operator had to allow for application of the samplesRegistry override to the CVO based jenkins imagestreams in order for the cvo install payload mirror to be used Consequence: that choice made use of samplesRegistry override in other scenarios more difficult, as the jenkins image spec from the CVO payload does not match analogous specs in quay.io or registry.redhat.io, which customers may have decided to mirror; plus the jenkins image on those registried breaks the special case support contract we have for the jenkins image as it being part of the base openshift install Fix: Now that the image registry can handle importing the jenkins imagestream when an install mirror is in place, the use of the samplesRegistry override is not longer need for the jenkins imagestreams Result: jenkins imagestream imports still work when the user uses samplesOverride to bring in the other samples imagestreams from somewhere other that registry.redhat.io
Clone Of: 1822381
Environment:
Last Closed: 2020-06-02 11:17:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-samples-operator pull 261 None closed Bug 1824280: revert pr 177; no override jenkins* registry hosts for mirrors 2020-07-15 17:01:52 UTC
Red Hat Product Errata RHBA-2020:2310 None None None 2020-06-02 11:18:29 UTC

Comment 6 XiuJuan Wang 2020-05-26 09:26:23 UTC
Jenkins,jenkins-agent-maven,jenkins-agent-nodejs imagestreams could be imported successfully from payload in the disconnect cluster, and don't be overrided by samplesRegistry.
Verified in 4.4.0-0.nightly-2020-05-25-115719

Comment 8 Gabe Montero 2020-05-26 12:55:32 UTC
@XiuJuan my understanding of that card is that it essentially optimizes pull through.  It does not provide a path for disabling pull through.

Comment 9 XiuJuan Wang 2020-05-27 07:19:22 UTC
@Gabe
Before the card https://issues.redhat.com/browse/IR-34 implements, and samplesRegistry can't override jenkins imagestreams anymore, we should add release note how to do workaround.

Comment 10 Gabe Montero 2020-05-27 12:51:58 UTC
@XiuJuan

Perhaps I was not explicit enough, but https://issues.redhat.com/browse/IR-34 really does not have a bearing on
the jenkins related imagestreams and mirrors related to disconnected or registry override.


That said, we've got another round of doc improvements cooking with https://bugzilla.redhat.com/show_bug.cgi?id=1830946#c2
based on more customer experience,
where among other things clarification around the jenkins* imagestream special case is part of the updates I asked for.

If we want to craft a release note in the interim while Brandi sorts out that change, I'm amenable to that.  Please work
with her directly on that. Does QE open BZs against docs to ask for release notes?

Comment 11 XiuJuan Wang 2020-05-28 07:21:54 UTC
@Gabe
Open a doc bug #1841018 for 4.4 .
4.5 release note is under reviewing, will raise up this issue.

Thanks.

Comment 13 errata-xmlrpc 2020-06-02 11:17:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2310


Note You need to log in before you can comment on or make changes to this bug.